<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Arrow Function</title>
</head>
<body>
    <script>
        const days = ["Lunes", "martes", "miercoles", "jueves", "viernes", "sabado", "domingo"];
        const months = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre']
        const vowels = ['a', 'e', 'i', 'o', 'u']

        function arrays1() {
        
            function Ex1For() {
                let daysM = [];
                for (let index = 0; index < days.length; index++) {
                    if (days[index].toLocaleLowerCase().startsWith("m")) {
                        daysM.push(days[index]);
                    };
                }
                return daysM;
            }
            alert("ex 1 with for: " + Ex1For());

            function Ex1Arrow() {
                let daysM = days.filter(day => day.toLocaleLowerCase().startsWith("m"));
                return daysM;
            }
            alert("ex 1 with arrow: " + Ex1Arrow());

            function Ex2For() {
                let monthsVowel = [];
                for (let index = 0; index < months.length; index++) {
                    if (vowels.includes(months[index][0].toLocaleLowerCase())) {
                        monthsVowel.push(months[index]);
                    };
                }
                return monthsVowel;
            }
            alert("ex 2 with for: " + Ex2For());

            function Ex2Arrow() {
                let monthsVowel = months.filter(month => vowels.includes(month[0].toLocaleLowerCase()))
                return monthsVowel;
            }
            alert("ex 2 with arrow: " + Ex2Arrow());
        }
        //arrays1();

        function arrays1_2() {
            function Ex1() {
                return days.find(day => day.toLowerCase().startsWith("m"));
            }
            alert("first day starting with m: " + Ex1());

            function Ex2() {
                return days.findIndex(day => day.toLowerCase().startsWith("v"));
            }
            alert("position of the first day starting with v: " + Ex2());

            function Ex3() {
                return days.some(day => day.toLowerCase().startsWith("s"));
            }
            alert("do some of the days start with s? " + Ex3());

            function Ex4() {
                return days.every(day => day.toLowerCase().endsWith("s"));
            }
            alert("do every of the days end with s? " + Ex4());
        }
        arrays1_2();

        function arrays1_3() {
            
        }
    </script>
</body>
</html>